#
# spec file for package suseRegisterInfo
#
# Copyright (c) 2019 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%{!?python_sitelib: %global python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}
%if 0%{?fedora} || 0%{?suse_version} > 1320
%global build_py3   1
%global default_py3 1
%endif

%define pythonX %{?default_py3:python3}%{!?default_py3:python2}

Name:           suseRegisterInfo
Version:        4.1.3
Release:    3.9.1
Summary:        Tool to get informations from the local system
License:        GPL-2.0-only
Group:          Productivity/Other
Url:            https://github.com/uyuni-project/uyuni
Source0: suseRegisterInfo-git-0.508818b.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%if 0%{?fedora} || 0%{?rhel} || 0%{?suse_version} >= 1210
BuildArch:      noarch
%endif
Requires:       %{pythonX}-%{name} = %{version}-%{release}
%if 0%{?suse_version}
Requires:       perl-base
%else
Requires:       perl
%endif
%if  0%{?rhel} && 0%{?rhel} < 6
Requires:       e2fsprogs
%endif

%description
This tool read data from the local system required
for a registration

%package -n python2-%{name}
Summary:        Python 2 specific files for %{name}
Group:          Productivity/Other
Requires:       %{name} = %{version}-%{release}
Requires:       python
BuildRequires:  python-devel

%description -n python2-%{name}
Python 2 specific files for %{name}.

%if 0%{?build_py3}
%package -n python3-%{name}
Summary:        Python 3 specific files for %{name}
Group:          Productivity/Other
Requires:       %{name} = %{version}-%{release}
Requires:       python3
BuildRequires:  python3-devel

%description -n python3-%{name}
Python 2 specific files for %{name}.

%endif

%prep
%setup -q -n suseRegisterInfo-git-0.508818b

%build

%install
mkdir -p %{buildroot}/usr/lib/suseRegister/bin/
install -m 0755 suseRegister/parse_release_info %{buildroot}/usr/lib/suseRegister/bin/parse_release_info
make -C suseRegister install PREFIX=$RPM_BUILD_ROOT PYTHONPATH=%{python_sitelib} PYTHON_BIN=%{pythonX}

%if 0%{?build_py3}
make -C suseRegister install PREFIX=$RPM_BUILD_ROOT PYTHONPATH=%{python3_sitelib} PYTHON_BIN=%{pythonX}
%endif

%if 0%{?suse_version}
%py_compile -O %{buildroot}/%{python_sitelib}
%if 0%{?build_py3}
%py3_compile -O %{buildroot}/%{python3_sitelib}
%endif
%endif

%files
%defattr(-,root,root,-)
%dir /usr/lib/suseRegister
%dir /usr/lib/suseRegister/bin
/usr/lib/suseRegister/bin/parse_release_info

%files -n python2-%{name}
%defattr(-,root,root)
%{python_sitelib}/suseRegister

%if 0%{?build_py3}
%files -n python3-%{name}
%defattr(-,root,root)
%{python3_sitelib}/suseRegister

%endif

%changelog
* Thu Jul 23 2020 jgonzalez@suse.com
- version 4.1.3-1
- enhance RedHat product detection for CentOS and OracleLinux (bsc#1173584)
* Wed May 20 2020 jgonzalez@suse.com
- version 4.1.2-1
- suseRegisterInfo only needs perl-base, not full perl (bsc#1168310)
* Wed Nov 27 2019 jgonzalez@suse.com
- version 4.1.1-1
- Bump version to 4.1.0 (bsc#1154940)
* Wed May 15 2019 jgonzalez@suse.com
- version 4.0.4-1
- SPEC cleanup
* Mon Apr 22 2019 jgonzalez@suse.com
- version 4.0.3-1
- add makefile and pylint config
* Fri Oct 26 2018 jgonzalez@suse.com
- version 4.0.2-1
- Make suseRegisterInfo compatible with Python 2 and 3
* Fri Aug 10 2018 jgonzalez@suse.com
- version 4.0.1-1
- Bump version to 4.0.0 (bsc#1104034)
- Fix copyright for the package specfile (bsc#1103696)
* Mon Mar  5 2018 jgonzalez@suse.com
- version 3.2.2-1
- remove clean section from spec (bsc#1083294)
* Thu Oct 26 2017 mc@suse.de
- version 3.2.1-1
- build for python 2 and 3
* Wed Jan 11 2017 michele.bologna@suse.com
- version 3.1.1-1
- Version bump to 3.1
* Mon Mar 21 2016 mc@suse.de
- version 3.0.2-1
- fix file permissions (bsc#970550)
* Wed Oct  7 2015 mc@suse.de
- version 3.0.1-1
* Wed Sep 23 2015 mc@suse.de
- version 2.1.11-1
- enable zypp readonly hack for product information retrieval (bsc#940361)
* Tue Mar 31 2015 mc@suse.de
- version 2.1.10-1
- Copyright texts updated to SUSE LLC
* Tue Oct 14 2014 mc@suse.de
- version 2.1.9-1
- re-add legacy suse_register_info to successfully perform the update
  (bnc#898428)
* Fri Sep 12 2014 mc@suse.de
- version 2.1.8-1
- remove asking SUSEConnect for systemid.
  Not implemented in SUSEConnect
* Wed Sep  3 2014 ro@suse.de
- sanitize release line in specfile
* Thu Jul 10 2014 mc@suse.de
- version 2.1.7-1
- Fix suseRegisterInfo for RHEL5 systems
  (use external uuidgen, as python does not yet have uuid support)
  (bnc#885997)
* Fri May 16 2014 mc@suse.de
- version 2.1.6-1
- fixed urls pointing to novell.com
* Thu Apr 10 2014 mc@suse.de
- version 2.1.5-1
* Thu Apr 10 2014 mc@suse.de
- fix release in specfile for SLE12 (bnc#872970)
* Mon Feb 24 2014 mc@suse.de
- version 2.1.4-1
- fix boolean test for zypper output (bnc#865313)
* Fri Feb  7 2014 mc@suse.de
- version 2.1.3-1
- format spec file
* Mon Jan 20 2014 mc@suse.de
- version 2.1.2-1
- change license to SPDX format
- create credentials.d directory if it does not exist
- replace suse_register_info with native calles of required
  software to prepare for SLE12 integration
* Mon Dec  9 2013 mc@suse.de
- version 2.1.1-1
- switch to 2.1
* Thu Apr  4 2013 mc@suse.de
- version 1.7.4-1
- fix parsing release file on RES (bnc#811805)
* Thu Nov 22 2012 jrenner@suse.de
- version 1.7.3-1
- fix precompile python files (bnc#776356)
* Fri Sep 28 2012 mc@suse.de
- version 1.7.2-1
- precompile python code to prevent verification issues (bnc#776356)
* Wed Mar 21 2012 mc@suse.de
- version 1.7.1-1
- Bumping package version
* Thu Jul  7 2011 mc@suse.de
- require suseRegister >= 1.4
* Wed Feb  2 2011 mc@suse.de
- suseRegisterRES uses a different place for the NCCcredentails
  file.
* Fri Jan 28 2011 mc@suse.de
- use ZYPP_READONLY_HACK to be able to run inside of a
  zypp process (bnc#667955)
* Fri Jan 21 2011 mc@suse.de
- create /etc/zypp/ if it does not exist
* Thu Dec  9 2010 ma@suse.de
- Version 1.2
* Thu Dec  9 2010 ma@suse.de
- Make suseRegisterInfo a separate package.
